"""
This python script provides an example to parse the csv output file by the fDETECT webserver.
It reads the csv file, finds the scores and score levels of the fDETECT method for each sequence.
"""
import re
file_name = 'fDETECT_and_PPCpred.csv'
line_count = 0
with open(file_name) as f:
    for line in f:
        if line_count > 0:
            pid = line.split(',')[0]
            method = line.split(',')[2]
            if method == 'fDETECT':
                pred_class = line.split(',')[3]
                pred_mf = line.split(',')[4]
                pred_pf = line.split(',')[5]
                pred_cf = line.split(',')[6]
                pred_cr = line.split(',')[7].strip()
                m_mf = re.search(r'(.*?) \((.*?)\)', pred_mf)
                m_pf = re.search(r'(.*?) \((.*?)\)', pred_pf)
                m_cf = re.search(r'(.*?) \((.*?)\)', pred_cf)
                m_cr = re.search(r'(.*?) \((.*?)\)', pred_cr)
                print(pid + ',' + m_mf.group(1) + ',' + m_mf.group(2)
                      + ',' + m_pf.group(1) + ',' + m_pf.group(2)
                      + ',' + m_cf.group(1) + ',' + m_cf.group(2)
                      + ',' + m_cr.group(1) + ',' + m_cr.group(2))
        line_count += 1


# output:
# CESG_GO_23886_CESG,0.599,high score,0.478,medium score,0.323,medium score,0.173,low score
# NYSGXRC_10360i_NYS,0.305,medium score,0.456,medium score,0.608,high score,0.212,low score
# CSGID_IDP01182_CSG,0.238,low score,0.362,medium score,0.104,low score,0.598,high score
